Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class Functions

    java.lang.Object
      OOXMLconvert.Functions

    public class Functions

extends java.lang.Object

Field Summary
`private static int` | `BUFFER`

Constructor Summary
`Functions()`

Method Summary
`static java.lang.String` | `addEndSlash(java.lang.String s)` Funkcia pridá k ceste súboru na koniec file separator (/,\)
`static boolean` | `almostEquals(int v1, int v2, int t)` Funkcia zistí, či sa hodnoty v1 a v2 približne rovnajú s toleranciou +/- t
`static void` | `copyFile(java.io.File fromFile, java.io.File toFile)` Funkcia skopíruje súbor do zvoleného súboru
`static java.io.File` | `createTempDirectory()` Funkcia vytvorí unikátny dočasný adresár
`static boolean` | `deleteDir(java.io.File path)` Funkcia zmaže adresár vrátane jeho obsahu
`static int` | `emuToCm(int emu)` Funkcia konvertuje EMU jednotky používané v DrawingML na centimetre.
`static int` | `emuToPx(int emu)` Funkcia konvertuje EMU jednotky používané v DrawingML na pixely.
`static java.lang.String` | `getExtension(java.io.File f)` Funkcia zistí príponu súboru.
`static java.lang.String` | `getRelativePathToRoot(java.lang.String path)` Funkcia k danej ceste vráti relatívnu cestu k root
`static java.lang.String` | `getTextFromElement(Element el)` Funkcia prejde daným elementom a vráti všetok zobraziteľný text.
`static int` | `intValDef(java.lang.Object o, int defaultValue)` Funkcia konvertuje Object na integer.
`static java.lang.String` | `setWebSlashes(java.lang.String s)` Funkcia zmení všetky lomítka v ceste na webovské lomítka
`static boolean` | `unZip(java.io.File inFile, java.io.File outFolder)` Funkcia odzipuje obsah súboru.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER

    private static final int BUFFER

See Also:
  Constant Field Values

Constructor Detail

### Functions

    public Functions()

Method Detail

### createTempDirectory

    public static java.io.File createTempDirectory()
                                            throws java.io.IOException

  Funkcia vytvorí unikátny dočasný adresár

  Returns:
    dočasný adresár
  Throws:
    `java.io.IOException`

### unZip

    public static boolean unZip(java.io.File inFile,
                                java.io.File outFolder)

  Funkcia odzipuje obsah súboru.

  Parameters:
    `inFile` - vstupný (zazipovaný) súbor
    `outFolder` - výstupný adresár
  Returns:
    true ak nenastala chyba, false inak

### deleteDir

    public static boolean deleteDir(java.io.File path)

  Funkcia zmaže adresár vrátane jeho obsahu

  Parameters:
    `path` - cesta k adresár
  Returns:
    true ak nenastala chyba, false inak

### intValDef

    public static int intValDef(java.lang.Object o,
                                int defaultValue)

  Funkcia konvertuje Object na integer.

  Parameters:
    `o` - Object na skonvertovanie
    `defaultValue` - default hodnota
  Returns:
    číselná hodnota objektu

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Funkcia zistí príponu súboru.

  Parameters:
    `f` - súbor
  Returns:
    príponu ako String

### emuToPx

    public static int emuToPx(int emu)

  Funkcia konvertuje EMU jednotky používané v DrawingML na pixely.

  Parameters:
    `emu` - hodnota EMU
  Returns:
    vracia hodnotu v pixeloch

### emuToCm

    public static int emuToCm(int emu)

  Funkcia konvertuje EMU jednotky používané v DrawingML na centimetre.

  Parameters:
    `emu` - hodnota EMU
  Returns:
    vracia hodnotu v centimetroch

### addEndSlash

    public static java.lang.String addEndSlash(java.lang.String s)

  Funkcia pridá k ceste súboru na koniec file separator (/,\)

  Parameters:
    `s` - String obsahujúci path
  Returns:
    String obsahujúci path na konci s file separatorom

### setWebSlashes

    public static java.lang.String setWebSlashes(java.lang.String s)

  Funkcia zmení všetky lomítka v ceste na webovské lomítka

  Parameters:
    `s` - String obsahujúci path
  Returns:
    String obsahujúci path

### copyFile

    public static void copyFile(java.io.File fromFile,
                                java.io.File toFile)
                         throws java.io.IOException

  Funkcia skopíruje súbor do zvoleného súboru

  Parameters:
    `fromFile` - kopírovaný súbor
    `toFile` - kam sa má súbor skopírovať
  Throws:
    `java.io.IOException`

### getRelativePathToRoot

    public static java.lang.String getRelativePathToRoot(java.lang.String path)

  Funkcia k danej ceste vráti relatívnu cestu k root

  Parameters:
    `path` - cesta k súboru, pre ktorý chceme zistiť relatívnu cestu
  Returns:
    relatívnu cestu k root

### getTextFromElement

    public static java.lang.String getTextFromElement(Element el)

  Funkcia prejde daným elementom a vráti všetok zobraziteľný text.

  Parameters:
    `el` - element, ktorý chceme prezrieť
  Returns:
    String textový obsah

### almostEquals

    public static boolean almostEquals(int v1,
                                       int v2,
                                       int t)

  Funkcia zistí, či sa hodnoty v1 a v2 približne rovnajú s toleranciou +/- t

  Parameters:
    `v1` - prvá hodnota na porovnanie
    `v2` - druhá hodnota na porovnanie
    `t` - tolerancia
  Returns:
    true ak sa hodnoty rovnajú s danou toleranciou, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD